clang-tools 10.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
clang::clangd::TUAction Struct Reference

`#include <TUScheduler.h>`

Collaboration diagram for clang::clangd::TUAction:
[legend]

## Public Types
enum | State { Queued, RunningAction, BuildingPreamble, BuildingFile, Idle }

## Public Member Functions
| TUAction (State S, llvm::StringRef Name)

## Public Attributes
State | S
std::string | Name
| The name of the action currently running, e.g. More...

## Detailed Description

Definition at line 63 of file TUScheduler.h.

## Member Enumeration Documentation

## ◆ State

enum clang::clangd::TUAction::State

Enumerator
Queued |
RunningAction |
BuildingPreamble |
BuildingFile |
Idle |

Definition at line 64 of file TUScheduler.h.

## Constructor & Destructor Documentation

## ◆ TUAction()

clang::clangd::TUAction::TUAction | ( | State | S,
|  | llvm::StringRef | Name
| ) |  |
| inline

Definition at line 73 of file TUScheduler.h.

## Member Data Documentation

## ◆ Name

std::string clang::clangd::TUAction::Name

The name of the action currently running, e.g.

Update, GoToDef, Hover. Empty if we are in the idle state.

Definition at line 77 of file TUScheduler.h.

## ◆ S

State clang::clangd::TUAction::S

Definition at line 74 of file TUScheduler.h.

The documentation for this struct was generated from the following file:

- TUScheduler.h